Bug 1009314 - [RFE][QEMU-GA][virtio-win] Add "scan-disks" capability following a disk resize
[RFE][QEMU-GA][virtio-win] Add "scan-disks" capability following a disk resize
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: Gal Hammer
Virtualization Bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 03:49 EDT by Ronen Hod
Modified: 2017-04-18 02:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 02:42:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronen Hod 2013-09-18 03:49:38 EDT
Description of problem:
After a disk is resized, Windows needs to rescan the disks in order to update.
Currently, the sys-admin is required to do it do it manually, and we want to automate it.
Still, when increasing a disk, the new area will not be automatically allocated to any of the partitions.
This is a QEMU-GA code, but still, I think that the best place to track it is as a virtio-win feature.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Gal Hammer 2014-01-02 07:19:33 EST
Can you please provide more information? Which disk emulation is used? How does the disk is re-sized?

Thanks.
Comment 3 Ronen Hod 2014-01-02 08:04:20 EST
(In reply to Gal Hammer from comment #2)
> Can you please provide more information? Which disk emulation is used? How
> does the disk is re-sized?
> 
> Thanks.

Sorry,
I should have mentioned that this bug is a consequence of the tech-note in Bug 858525

Note You need to log in before you can comment on or make changes to this bug.